#include<iostream>
#include<time.h>

using namespace std;

void fillWithRandomValues(int list[], int size, int min, int max)
{
	for (int i = 0; i < size; i++)
	{
		if (min <= max)
		{
			list[i] = rand() % (max - min + 1) + min;
		}
		else
		{
			list[i] = 0;
		}
	}
}

int countOfOdds(int list[], int size)
{
	int result = 0;

	for (int i = 0; i < size; i++)
	{
		if (list[i]%2 != 0)
		{
			result++;
		}
	}

	return result;
}

int countOfEvens(int list[], int size)
{
	return size - countOfOdds(list, size);
}


void displayList(int list[], int size, char delimiter = '\n')
{
	for (int i = size-1; i >= 0; i--)
	//for (int i = 0; i < size; i++)
	{
		cout << list[i];
		if (i < size - 1)
		{
			cout << delimiter;
		}
	}
}

void sort(int list[], int size)
{
	for (int i = 0; i < size-1; i++)
	{
		int indexOfSmallest = i;
		//find the smallest and store its index
		for (int j = i;j < size; j++)
		{
			if (list[j] < list[indexOfSmallest])
			{
				indexOfSmallest = j;
			}
		}

		//swap the smallest with index i
		int temp = list[i];
		list[i] = list[indexOfSmallest];
		list[indexOfSmallest] = temp;
	}
}

void main()
{
	srand((unsigned int)time(NULL));
	int list[15];
	int list2[20];
	fillWithRandomValues(list, 15, 1, 100);
	//fillWithRandomValues(list2,20, 5, 90);
	sort(list, 15);
	displayList(list, 15, ',');
	cout << endl;
	displayList(list + 5, 10, ',');
	//cout << "--------------" << endl;
	//displayList(list2, 20, '|');
	cout << endl;
	cout << list << endl;
	cout << list + 1 << endl;

	//list is an int Array size 50 - 200 bytes in the list
	//base address 500
	//what is the address of list[40] = 660
	//0- 49
	//list[4]++, list[4] = list[4] + 1


}